Bug 1014619 - Review Request: enlightenment - Enlightenment window manager
Review Request: enlightenment - Enlightenment window manager
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
: 891295 (view as bug list)
Depends On: Enlightenment-Tracker
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-02 08:17 EDT by Dan Mashal
Modified: 2014-05-28 13:20 EDT (History)
7 users (show)

See Also:
Fixed In Version: enlightenment-0.17.4-4.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-09 21:05:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
errors in console while running fedora-review (976 bytes, text/plain)
2013-10-06 04:11 EDT, pavel.nedr
no flags Details
1014619-enlightenment/results/build.log (13.83 KB, text/plain)
2013-10-06 04:12 EDT, pavel.nedr
no flags Details
same error. Do you need my reports in future? (13.32 KB, text/plain)
2013-10-06 18:47 EDT, pavel.nedr
no flags Details

  None (edit)
Description Dan Mashal 2013-10-02 08:17:01 EDT
Spec URL: http://vicodan.fedorapeople.org/enlightenment.spec
SRPM URL: http://vicodan.fedorapeople.org/enlightenment-0.17.4-1.fc21.src.rpm

Description:
Enlightenment window manager is a lean, fast, modular and very extensible window 
manager for X11 and Linux. It is classed as a "desktop shell" providing the 
things you need to operate your desktop (or laptop), but is not a whole '
application suite. This covered launching applications, managing their windows 
and doing other system tasks like suspending, reboots, managing files etc. 
Fedora Account System Username: sundaram
Comment 1 Dan Mashal 2013-10-02 08:19:55 EDT
*** Bug 891295 has been marked as a duplicate of this bug. ***
Comment 2 pavel.nedr 2013-10-06 04:11:07 EDT
Created attachment 808432 [details]
errors in console while running fedora-review
Comment 3 pavel.nedr 2013-10-06 04:12:23 EDT
Created attachment 808433 [details]
1014619-enlightenment/results/build.log
Comment 4 Rex Dieter 2013-10-06 08:53:23 EDT
and unversioned BR on enlightenment-related deps:

configure: error: Package requirements (ecore >= 1.7.8 ecore-file >= 1.7.8 ecore-ipc >= 1.7.8 eet >= 1.7.8 efreet >= 1.7.8 edbus >= 1.7.8 eina >= 1.7.8  dbus-1  ) were not met:
Requested 'edbus >= 1.7.8' but version of edbus is 1.7.7

(also missing optional BR: doxygen, for docs)


I'll try to do a more thorough review later today...
Comment 5 Dan Mashal 2013-10-06 13:52:43 EDT
Interesting, I ran fedora-review and everything was fine. Let me double check some things.
Comment 6 pavel.nedr 2013-10-06 13:57:34 EDT
Feel free to ask me any additional info you need.
Comment 7 Rex Dieter 2013-10-06 16:55:06 EDT
Initial comments:

1.  MUST add versioned build deps per comment 4.

2.  -data: runtime dep in this noarch pkg cannot use %_isa, MUST replace
Requires: %{name}%{?_isa} = %{version}-%{release}
with
Requires: %{name} = %{version}-%{release}

3.  SHOULD play nice with upstream and submit patch to fix typo in %_libdir/pkgconfig/enlightenment.pc:
Description: Enlightenmnt Window Manager
:)

4. -devel pkg afaict, has no strict need for
Requires: %{name}%{?_isa} = %{version}-%{release}
SHOULD consider removing it, but I'll leave that to your discretion

5. SHOULD consider adding:
Provides: firstboot(windowmanager) = enlightenment
(will help when/if anyone wants to make an enlightenment-based spin)

6. MUST make dep on -data versioned, replace
Requires: %{name}-data
with
Requires: %{name}-data = %{version}-%{release}

7. SHOULD consider dropping
%dir %{_sysconfdir}/xdg/menus
and add
Requires: redhat-menus

8. SHOULD consider moving translations to -data subpkg, ie.
%files data -f %{name}.lang
Comment 8 Dan Mashal 2013-10-06 18:35:28 EDT
(In reply to Rex Dieter from comment #4)
> and unversioned BR on enlightenment-related deps:
> 
> configure: error: Package requirements (ecore >= 1.7.8 ecore-file >= 1.7.8
> ecore-ipc >= 1.7.8 eet >= 1.7.8 efreet >= 1.7.8 edbus >= 1.7.8 eina >= 1.7.8
> dbus-1  ) were not met:
> Requested 'edbus >= 1.7.8' but version of edbus is 1.7.7
> 
> (also missing optional BR: doxygen, for docs)
> 
> 
> I'll try to do a more thorough review later today...

Indeed doxygen was left out. Added.

OK e_dbus was blocked by releng on F20 and I forgot about it. Unblocked and submitted to bodhi now with a BR override. 

(In reply to Rex Dieter from comment #7)
> Initial comments:
> 
> 1.  MUST add versioned build deps per comment 4.

Can we stick with rawhide for now until e_dbus gets pushed to F20/stable?

> 2.  -data: runtime dep in this noarch pkg cannot use %_isa, MUST replace
> Requires: %{name}%{?_isa} = %{version}-%{release}
> with
> Requires: %{name} = %{version}-%{release}

OK done.

> 3.  SHOULD play nice with upstream and submit patch to fix typo in
> %_libdir/pkgconfig/enlightenment.pc:
> Description: Enlightenmnt Window Manager
> :)

Will do.

> 4. -devel pkg afaict, has no strict need for
> Requires: %{name}%{?_isa} = %{version}-%{release}
> SHOULD consider removing it, but I'll leave that to your discretion

Done.

> 5. SHOULD consider adding:
> Provides: firstboot(windowmanager) = enlightenment
> (will help when/if anyone wants to make an enlightenment-based spin)

Done.

> 6. MUST make dep on -data versioned, replace
> Requires: %{name}-data
> with
> Requires: %{name}-data = %{version}-%{release}

Done.

> 7. SHOULD consider dropping
> %dir %{_sysconfdir}/xdg/menus
> and add
> Requires: redhat-menus

Done.


> 8. SHOULD consider moving translations to -data subpkg, ie.
> %files data -f %{name}.lang

Done.
Comment 10 pavel.nedr 2013-10-06 18:47:12 EDT
Created attachment 808678 [details]
same error. Do you need my reports in future?
Comment 11 Dan Mashal 2013-10-06 18:59:30 EDT
(In reply to pavel.nedr from comment #10)
> Created attachment 808678 [details]
> same error. Do you need my reports in future?

No, that's ok.
Comment 13 Rex Dieter 2013-10-06 19:21:48 EDT
item 1 isn't negotiable, please add the versioned efl build deps... to be >= 1.7.8.  builds *will* fail if they are not satisfied, so there is no reason not to do this.
Comment 14 Dan Mashal 2013-10-06 19:29:28 EDT
(In reply to Rex Dieter from comment #13)
> item 1 isn't negotiable, please add the versioned efl build deps... to be >=
> 1.7.8.  builds *will* fail if they are not satisfied, so there is no reason
> not to do this.

OK done.

http://vicodan.fedorapeople.org/enlightenment.spec
http://vicodan.fedorapeople.org/enlightenment-0.17.4-3.fc20.src.rpm
Comment 15 Rex Dieter 2013-10-06 21:24:40 EDT
thanks, looks good.   APPROVED.

Question, what is the purpose of this?
find %{buildroot} -name 'enlightenment.menu' -delete

(if you want to keep this, please document the reason in a .spec comment)
Comment 16 Dan Mashal 2013-10-07 02:39:22 EDT
(In reply to Rex Dieter from comment #15)
> thanks, looks good.   APPROVED.
> 
> Question, what is the purpose of this?
> find %{buildroot} -name 'enlightenment.menu' -delete
> 
> (if you want to keep this, please document the reason in a .spec comment)

Thought you said to drop that one?
Comment 17 Dan Mashal 2013-10-07 02:42:33 EDT
New Package SCM Request
=======================
Package Name: enlightenment
Short Description: Enlightenment window manager
Owners: vicodan sundaram spot
Branches: f19 f20
Comment 18 Gwyn Ciesla 2013-10-07 08:21:25 EDT
Unretired, please take ownership of devel in pkgdb and submit a Package
Change Request for the remaining desired branches.
Comment 19 Rex Dieter 2013-10-07 08:24:41 EDT
Re: comment #16

Ah, sorry for the misunderstanding.  I was only talking about dir ownership of
/etc/xdg/menus, not about anything under it.
Comment 20 Dan Mashal 2013-10-07 10:49:18 EDT
Package Change Request
======================
Package Name: enlightenment
New Branches: f19 f20
Owners: vicodan sundaram spot
Comment 21 Dan Mashal 2013-10-07 11:22:17 EDT
@Limb

Please also fix for Rawhide if you can. I'll file a releng ticket anyway.
Comment 22 Gwyn Ciesla 2013-10-07 11:42:53 EDT
Git done (by process-git-requests).
Comment 23 Fedora Update System 2013-10-07 13:16:08 EDT
enlightenment-0.17.4-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/enlightenment-0.17.4-3.fc19
Comment 24 Fedora Update System 2013-10-07 13:16:25 EDT
enlightenment-0.17.4-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/enlightenment-0.17.4-3.fc20
Comment 25 Fedora Update System 2013-10-08 02:52:52 EDT
enlightenment-0.17.4-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/enlightenment-0.17.4-4.fc20
Comment 26 Fedora Update System 2013-10-08 02:52:58 EDT
enlightenment-0.17.4-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/enlightenment-0.17.4-4.fc20
Comment 27 Fedora Update System 2013-10-09 10:48:13 EDT
Package enlightenment-0.17.4-4.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing enlightenment-0.17.4-4.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18575/enlightenment-0.17.4-4.fc20
then log in and leave karma (feedback).
Comment 28 Fedora Update System 2013-10-09 21:05:46 EDT
enlightenment-0.17.4-3.fc19 has been pushed to the Fedora 19 stable repository.
Comment 29 Vladimir 2013-11-01 08:01:31 EDT
hi!

I did a yum install enlightenment on two machines with Fedora 19 and Fedora 20. It works fine if you do not pursue the nuances.
But the re-entry to the session impossible.

Enlightenment_start conclusion of the console:

ESTART: 0.00000 [0.00000] - Begin Startup
    ESTART: 0.00010 [0.00010] - Signal Trap
    ESTART: 0.00011 [0.00002] - Signal Trap Done
    ESTART: 0.00015 [0.00003] - Eina Init
    ESTART: 0.00152 [0.00138] - Eina Init Done
    ESTART: 0.00153 [0.00001] - Determine Prefix
    [32;1mINF<[0me[32;1m>[0me_prefix.c:25[0m =================================
    [32;1mINF<[0me[32;1m>[0me_prefix.c:26[0m Enlightenment relocation handling
    [32;1mINF<[0me[32;1m>[0me_prefix.c:27[0m =================================
    [32;1mINF<[0me[32;1m>[0me_prefix.c:28[0m PREFIX:  /usr
    [32;1mINF<[0me[32;1m>[0me_prefix.c:29[0m BINDIR:  /usr/bin
    [32;1mINF<[0me[32;1m>[0me_prefix.c:30[0m LIBDIR:  /usr/lib64
    [32;1mINF<[0me[32;1m>[0me_prefix.c:31[0m DATADIR: /usr/share/enlightenment
    [32;1mINF<[0me[32;1m>[0me_prefix.c:32[0m LOCALE:  /usr/share/locale
    [32;1mINF<[0me[32;1m>[0me_prefix.c:33[0m =================================
    ESTART: 0.00179 [0.00026] - Determine Prefix Done
    ESTART: 0.00184 [0.00005] - Environment Variables
    ESTART: 0.00188 [0.00004] - Environment Variables Done
    ESTART: 0.00189 [0.00001] - Parse Arguments
    ESTART: 0.00190 [0.00001] - Parse Arguments Done
    ESTART: 0.00190 [0.00001] - Eet Init
    ESTART: 0.01811 [0.01620] - Eet Init Done
    ESTART: 0.01815 [0.00004] - Ecore Init
    ESTART: 0.02246 [0.00431] - Ecore Init Done
    ESTART: 0.02249 [0.00003] - EIO Init
    ESTART: 0.02255 [0.00006] - EIO Init Done
    ESTART: 0.02257 [0.00001] - Ecore Event Handlers
    ESTART: 0.02258 [0.00001] - Ecore Event Handlers Done
    ESTART: 0.02258 [0.00001] - Ecore_File Init
    ESTART: 0.03137 [0.00879] - Ecore_File Init Done
    ESTART: 0.03141 [0.00004] - Ecore_Con Init
    ESTART: 0.03141 [0.00001] - Ecore_Con Init Done
    ESTART: 0.03142 [0.00001] - Ecore_Ipc Init
    ESTART: 0.03144 [0.00002] - Ecore_Ipc Init Done
    ESTART: 0.03146 [0.00001] - Ecore_X Init
    <<<< Enlightenment Error >>>>
    Enlightenment cannot initialize Ecore_X!

Repeatability error:
1.yum install enlightenment
2.start a enlightenment
3.reboot

sorry for my english
thank you
Comment 30 Fedora Update System 2013-11-10 02:54:19 EST
enlightenment-0.17.4-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.